Subject: Cannot build 27.0.91 on macOS 10.6.4

From: Tak Kunihiro <[email-masked]>
Date: Tue, 21 Apr 2020 16:34:02 +0900

> The second pretest for what will be the 27.1 release of Emacs (the
> extensible text editor) is available at
>
>   https://alpha.gnu.org/gnu/emacs/pretest/emacs-27.0.91.tar.xz

I cannot build emacs 27.0.91 on macOS 10.6.4 with Xcode 11.3.1.
I can build emacs 26.3 on the same environment.

I saw similar report on following 
https://www.reddit.com/r/emacs/comments/d7eu9i/emacs_compilation_fails_on_macos_10146_with/

I wonder if this is emacs's problem.  I got message as shown below.

  $ make
  /Applications/Xcode.app/Contents/Developer/usr/bin/make -C lib all
  make[1]: Nothing to be done for `all'.
  /Applications/Xcode.app/Contents/Developer/usr/bin/make -C lib-src all
  make[1]: Nothing to be done for `all'.
  /Applications/Xcode.app/Contents/Developer/usr/bin/make -C src VCSWITNESS='' all
  /Applications/Xcode.app/Contents/Developer/usr/bin/make -C ../admin/charsets all
  make[2]: Nothing to be done for `all'.
  /Applications/Xcode.app/Contents/Developer/usr/bin/make -C ../admin/unidata charscript.el
  make[2]: Nothing to be done for `charscript.el'.
  rm -f bootstrap-emacs.pdmp
  ./temacs --batch  -l loadup --temacs=pbootstrap
  dyld: lazy symbol binding failed: Symbol not found: _aligned_alloc
    Referenced from: /Users/tknet/Downloads/emacs-27.0.91/src/./temacs
    Expected in: /usr/lib/libSystem.B.dylib
  
  dyld: Symbol not found: _aligned_alloc
    Referenced from: /Users/tknet/Downloads/emacs-27.0.91/src/./temacs
    Expected in: /usr/lib/libSystem.B.dylib
  
  make[1]: *** [bootstrap-emacs.pdmp] Abort trap: 6
  make: *** [src] Error 2